# properties

Tag: properties
Loads a properties file into ivy variables. See the variables chapter above for details about ivy variables.
Since 2.0: it is possible to access environment variables. This can be done by specifying the environment attribute. This attribute specifies the prefix which can be used to access these environment variables. For instance, if you specify environment="env", you can access the PATH environment variable with the env.PATH property name.

# Attributes

Attribute | Description | Required
--- | --- | ---
file | a path to a properties file to load | One of these
environment | the prefix to use when retrieving environment variables (since 2.0)
override | indicates if the variable found in the properties file should override its previous value, if any (since 1.3) | No, defaults to true